Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.calendar
Class YearViewModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.calendar.CalendarModel
              portlets.compoze.groupware.model.calendar.CalendarViewModel
                  portlets.compoze.groupware.model.calendar.YearViewModel

All Implemented Interfaces:
  java.io.Serializable

public class YearViewModel
extends CalendarViewModel
implements java.io.Serializable

This class represents the data model for the year view (`year_view.jsp`).

See Also:
  Serialized Form

Constructor Summary
`YearViewModel(portlets.compoze.groupware.controls.provider.Provider provider, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, CalendarPreferences calendarPrefs, Accounts accounts)` Constructor.

Method Summary
`java.util.Date` | `getEndDate()` Gets the end date.
`Month[]` | `getMonths()` Gets the year months.
`java.util.Date` | `getNextDate()` Gets the next date.
`java.util.Date` | `getPreviousDate()` Gets the previous date.
`java.util.Date` | `getStartDate()` Gets the start date.
`int` | `getYear()` Gets the year.
`void` | `setGivenDate(java.util.Date givenDate)` Sets the given date.

Methods inherited from class portlets.compoze.groupware.model.calendar.CalendarViewModel
`getAppointments, getDateString, getGivenDate, getGivenDateString, getProvider, getTimeString, getToday, getTodayString, getYearString, setAppointments`

Methods inherited from class portlets.compoze.groupware.model.calendar.CalendarModel
`getCalendarPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YearViewModel

    public YearViewModel(portlets.compoze.groupware.controls.provider.Provider provider,
                         FeatureGroup featureGroup,
                         GroupwarePreferences groupwarePrefs,
                         CalendarPreferences calendarPrefs,
                         Accounts accounts)

  Constructor.

Parameters:
  `provider` - the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `calendarPrefs` - the calendar preferences (may not be `null`)

Method Detail

### setGivenDate

    public void setGivenDate(java.util.Date givenDate)

  Sets the given date.

  Overrides:
    `setGivenDate` in class `CalendarViewModel`
  Parameters:
    `givenDate` - the given date (may not be `null`)

### getMonths

    public Month[] getMonths()

  Gets the year months.

  Returns:
    an array of month for the year

### getYear

    public int getYear()

  Gets the year.

  Returns:
    the year

### getNextDate

    public java.util.Date getNextDate()

  Gets the next date.

  Specified by:
    `getNextDate` in class `CalendarViewModel`
  Returns:
    the next date

### getPreviousDate

    public java.util.Date getPreviousDate()

  Gets the previous date.

  Specified by:
    `getPreviousDate` in class `CalendarViewModel`
  Returns:
    the previous date

### getStartDate

    public java.util.Date getStartDate()

  Gets the start date.

  Specified by:
    `getStartDate` in class `CalendarViewModel`
  Returns:
    the start date

### getEndDate

    public java.util.Date getEndDate()

  Gets the end date.

  Specified by:
    `getEndDate` in class `CalendarViewModel`
  Returns:
    the end date

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.